> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Conversation File

> Read a file from a specific conversation's sandbox workspace.

Returns the content of the file at the specified path if it exists, otherwise returns an empty string.

Args:
    conversation_id: The UUID of the conversation
    file_path: Path to the file to read within the sandbox workspace

Returns:
    The content of the file or an empty string if the file doesn't exist



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/v1/app-conversations/{conversation_id}/file
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/app-conversations/{conversation_id}/file:
    get:
      tags:
        - Conversations
      summary: Read Conversation File
      description: >-
        Read a file from a specific conversation's sandbox workspace.


        Returns the content of the file at the specified path if it exists,
        otherwise returns an empty string.


        Args:
            conversation_id: The UUID of the conversation
            file_path: Path to the file to read within the sandbox workspace

        Returns:
            The content of the file or an empty string if the file doesn't exist
      operationId: >-
        read_conversation_file_api_v1_app_conversations__conversation_id__file_get
      parameters:
        - name: conversation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Conversation Id
        - name: file_path
          in: query
          required: false
          schema:
            type: string
            title: Path to the file to read within the sandbox workspace
            default: /workspace/project/PLAN.md
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: string
                title: >-
                  Response Read Conversation File Api V1 App Conversations 
                  Conversation Id  File Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````